<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package HitMag Pro
 */

if ( is_attachment() ) {
	get_template_part( 'single_template_1' );
	return;
}

$hm_post_layout = hitmag_pro_single_post_template();

switch ( $hm_post_layout ) {
	case 'post-style-1':
		get_template_part( 'single_template_1' );
		break;	

	case 'post-style-2':
		get_template_part( 'single_template_2' );
		break;

	case 'post-style-3':
		get_template_part( 'single_template_3' );
		break;

	case 'post-style-4':
		get_template_part( 'single_template_4' );
		break;
	
	default:
		get_template_part( 'single_template_1' );
		break;
}